| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csArrayThresholdVariable Class Reference
[Containers]

csArray variable threshold for capacity handlers. More...

`#include <csutil/array.h>`

Inheritance diagram for csArrayThresholdVariable:

[legend]
List of all members.

## Public Member Functions
| csArrayThresholdVariable (size_t in_threshold=0)
| Construct with given threshold.
size_t | GetThreshold () const
| Return the threshold.

## Detailed Description

csArray variable threshold for capacity handlers.

The threshold is variable at run-time object construction.

Definition at line 241 of file array.h.

## Constructor & Destructor Documentation

csArrayThresholdVariable::csArrayThresholdVariable | ( | size_t | in_threshold = `0` | ) | `[inline]`

Construct with given threshold.

Definition at line 246 of file array.h.

## Member Function Documentation

size_t csArrayThresholdVariable::GetThreshold | ( |  | ) | const`[inline]`

Return the threshold.

Definition at line 249 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h